Skip a posting day
curl --request POST \
--url https://api.lumisreach.com/api/v1/video-schedules/{id}/skip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"day": "<string>"
}
'import requests
url = "https://api.lumisreach.com/api/v1/video-schedules/{id}/skip"
payload = { "day": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({day: '<string>'})
};
fetch('https://api.lumisreach.com/api/v1/video-schedules/{id}/skip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"skipped": "<string>",
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"cadence": "<string>",
"videos_per_day": 0,
"days_of_week": [
0
],
"post_hour": 0,
"time_zone": "<string>",
"starts_on": "<string>",
"ends_on": "<string>",
"skip_dates": [
"<string>"
],
"notify_hours_before": 0,
"notify_by_email": true,
"connection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"caption": "<string>",
"direction": "<string>",
"allowed_templates": [
"<string>"
],
"video_settings": {
"format": "vertical",
"target_duration_seconds": 10,
"source_url": "<string>",
"source_text": "<string>",
"preset": "<string>",
"avatar_provider": "heygen",
"avatar_layout": "center",
"avatar_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"replica_id": "<string>",
"voice_id": "<string>",
"video_model": "<string>",
"subtitle_style": "none",
"subtitle_position": "top",
"subtitle_size": "small"
},
"source_video_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run": {
"day": "<string>",
"post_at": "2023-11-07T05:31:56Z",
"plan_at": "2023-11-07T05:31:56Z"
},
"last_run_on": "<string>",
"last_error": "<string>",
"estimated_price_cents_per_video": 0,
"estimate_depends_on_template": true,
"created_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Video Schedules
Skip a posting day
Skip one posting day of a schedule: nothing is made, charged or posted that day. Send {} to skip the next one, or day (YYYY-MM-DD, in the schedule’s time zone) for another. Free.
POST
/
v1
/
video-schedules
/
{id}
/
skip
Skip a posting day
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A UUID. When present, deduplicates repeat submissions. See /api-reference/idempotency.
Path Parameters
Body
application/json
The posting day to skip. Omit for the next one.
Pattern:
^\d{4}-\d{2}-\d{2}$Response
Success
Show child attributes
Show child attributes